=== doc/Makefile ===
all: 
	./gendoc.py
	
clean:
	$(RM) main.pdf
	$(RM) plugins_generated.tex
	$(RM) *.aux main.bbl main.blg main.log main.out main.toc
