=== data/plugin-starter-kit/SConstruct ===
import os

env = Environment(ENV = os.environ, tools=['default'])
env['SHLIBPREFIX'] = ''
env.SharedLibrary('plugins/myutil', ['myutil.cpp'])
