=== data/linux/debian/changelog ===
mitsuba (0.5.0-1) unstable; urgency=low
  * Mitsuba can now perform renderings of images with multiple channels
    (e.g. a path traced rendering plus surface normals and depth). All
    channels are rendered in one pass and written to a multi-channel EXR file.
  * Anton Kaplanyan contributed mtsgui GUI usability tweaks and several
    MLT-related robustness improvements
  * Greatly improved Python integration, nice interaction with PyQt and NumPy,
    Python 3.3. support on all platforms
  * The 'mfilm' plugin now supports writing binary NumPy files (Joe Kider)
  * Switch tabs in the gui using Alt+Left/Right keys
  * Ask whether to stop long-running rendering processes when dragging the
    mouse in the GUI
  * Windows 8 compatibility
  * CMake build system working again (Edgar Velázquez-Armendáriz)
  * Statistics are now automatically reset between renderings
  * mtssrv robustness improvements on OSX
  * The 'thindielectric' plugin still computed incorrect results in some
    situations, which is now fixed
  * Added a new 'default' XML tag
 -- Wenzel Jakob <wenzel@cs.cornell.edu>  Tue, 25 Feb 2014 00:00:00 -0400

mitsuba (0.4.5-1) unstable; urgency=low
  * New height field intersection shape
  * kd-tree precision improvements when rendering in double precision
  * Feature to create a bitmap texture from a single color channel of an image
  * Python API: More complete coverage of the Mitsuba core API
  * Feature to quickly convert between Mitsuba images and Python byte arrays.
  * Frequency-space convolution of large-scale images using FFTW3
  * Bloom filter in support in 'mtsutil tonemap'
  * OSX 10.9 font fixes, initial improvements for machines with a retina display
  * New perspective camera with model radial distortion
  * Python 3.3 support on Windows
  * Collecting rendering statistics turned out to cause severe memory
    contention on previous releases. This has now been fixed, leading to
    significant speedups on machines with many cores (>4).
  * Worker threads now request CPU affinity on platforms where this is supported
  * Many smaller robustness fixes and bugfixes in various parts of the
    renderer -- see the changelog for details
 -- Wenzel Jakob <wenzel@cs.cornell.edu>  Mon, 04 Nov 2013 00:00:00 -0400

mitsuba (0.4.4-1) unstable; urgency=low
  * Improved Python support for rendering animations and motion blur
  * Photon mapper logic rewrite to account for certain missing specular paths
  * Robustness improvements for specular+diffuse materials such as 'plastic'
  * Fixed a remaining issue in the instancing frame computation code
  * The thindielectric plugin formerly computed incorrect transmittance values
  * The cube shape is now centered at the origin by default
  * The TLS cleanup logic has been fixed to avoid a potential crash in mtssrv
  * Other minor improvements, which are listed in the repository log
 -- Wenzel Jakob <wenzel@cs.cornell.edu>  Thu, 28 Feb 2013 00:00:00 -0400

mitsuba (0.4.3-1) unstable; urgency=low
  * Motion blur: Support for arbitrary linear camera, object, and sensor motion
    to produce motion blur in renderings.
  * Render-time annotations: added the ability to tag image files with additional
    information by means of metadata or text labels.
  * Hide directly visible emitters: convenient feature for removing an environment
    light source so that an image can be composited onto documents having a
    different color.
  * Improved instancing: more robust instancing code with support for
    non-rigid transformations.
  * Threading on Windows: fixed various threading-related issues on Windows that
    previously caused crashes and deadlocks.
  * Caching: Caching mechanism to further accelerate the loading of
    .serialized files.
  * File dialogs: Native File Open/Save dialogs are now used on Windows.
  * Python: Improved python bindings; easier usage on MacOS X.
  * Blender interaction: Fixed a issue where GUI tabs containing scenes created
    in Blender could not be cloned.
  * Non-uniform scales: All triangle mesh-based shapes now permit
    non-uniform scales.
  * NaNs and friends: Increased resilience against various numerical corner cases.
  * Index-matched participating media: Fixed an unfortunate regression in volpath
    regarding index-matched media that was accidentally introduced in 0.4.2.
  * roughdiffuse: Fixed texturing support in the roughdiffuse plugin.
  * Photon mapping: Fixed some inaccuracies involving participating media when
    rendered by the photon mapper and the Beam Radiance Estimate.
  * Conductors: Switched Fresnel reflectance computations for conductors to the
    exact expressions predicted by geometric optics (an approximation was
    previously used).
  * New cube shape: Added a cube shape plugin for convenience. This does
    exactly what one would expect.
  * The rest: As usual, a large number of smaller bugfixes and improvements
    were below the threshold and are thus not listed individually. The
    repository log has more details.
 -- Wenzel Jakob <wenzel@cs.cornell.edu>  Tue, 29 Jan 2013 00:00:00 -0400

mitsuba (0.4.2-1) unstable; urgency=low
  * Volumetric path tracers: improved sampling when dealing with index-matched medium transitions. This is essentially a re-implementation of an optimization that Mitsuba 0.3.1 already had, but which got lost in the bidirectional rewrite.
  * Batch tonemapper: due to an unfortunate bug, the batch tonemapper in the last release produced invalid results for images containing an alpha channel. This is now fixed.
  * Shapes: corrected some differential geometry issues in the "cylinder" and "rectangle" shapes.
  * MLT: fixed 2-stage MLT, which was producing incorrect results.
  * MEPT: fixed the handling of directional light sources.
  * Robustness: got rid of various corner-cases that could produce NaNs.

